Bug Hunting Session
Bug 103323 - Make notebookbar experimental but not toolbar layout entry
Summary: Make notebookbar experimental but not toolbar layout entry
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Notebookbar
  Show dependency treegraph
 
Reported: 2016-10-18 23:38 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-13 20:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-18 23:38:05 UTC
Samuel set the notebookbar as experimental in this commit.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=08d7ffcd442c5f02b4ceb068d308a26b04e41d29

But this also makes the 'Toolbar Layout' menu entry experimental as well which isnt ideal. So here is a solution that we can temporarily have to deal with the current experimental nature of the notebookbar.

1) Hide the notebookbar entry under 'toolbar layout', which can easily be done in officecfg/registry/data/org/openoffice/Office/UI/ToolbarMode.xcu

2) Create a toggle button entry to enable notebookbar mode, which was previously how we toggled notebookbar on and off in the past and likely a useful uno command to have around anyway (toggle on enables toolbar mode, toggle off enables the previously selected toolbar layout), and set its experimental attribute and add it into the view menu

3) remove experimental attribute for 'toolbar layout', which is simple to revert half of samuel's patch
Comment 1 Roman Kuznetsov 2016-10-19 11:04:07 UTC
switcher need make not experimental, and notebookbar is bad, it is experimental!
Comment 2 steve -_- 2016-11-02 14:43:20 UTC
notebookbar may be experimental. I'd argue it's a waste of time and resources. But single toolbar should not suffer since now easy switching is no longer possible.

so +1 I guess.
Comment 3 Commit Notification 2017-02-22 08:55:39 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50468779725c9eaccae17e4e39a6651f12e49340

tdf#103323 Single Toolbar without experimental mode

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Roman Kuznetsov 2017-02-22 11:59:29 UTC
(In reply to Commit Notification from comment #3)
> Szymon Kłos committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=50468779725c9eaccae17e4e39a6651f12e49340
> 
> tdf#103323 Single Toolbar without experimental mode
> 
> It will be available in 5.4.0.
> 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> http://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

it will be backport to LO 5.3?
Comment 5 Yousuf Philips (jay) (retired) 2017-02-23 12:21:30 UTC
+1 from me to backport this, as long as kendy and samuel are okay with patch.
Comment 6 Roman Kuznetsov 2017-10-13 16:32:44 UTC
(In reply to Yousuf Philips (jay) from comment #5)
> +1 from me to backport this, as long as kendy and samuel are okay with patch.

this never will backport to 5.3, because 5.3 went to end its life cycle. May be close this bug with status FIXED?